Bug 664321 - [abrt] calibre-0.6.55-1.fc13: IA__FcPatternDestroy: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
Summary: [abrt] calibre-0.6.55-1.fc13: IA__FcPatternDestroy: Process /usr/bin/python w...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 13
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7a78ce27cea4d76ee2c85a91f14...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-19 21:18 UTC by Wendell Baker
Modified: 2011-06-27 12:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 12:58:51 UTC


Attachments (Terms of Use)
File: backtrace (28.50 KB, text/plain)
2010-12-19 21:18 UTC, Wendell Baker
no flags Details
Experience loading and running calibre-0.7.34-1.fc13.i686 (35.47 KB, text/plain)
2010-12-22 13:40 UTC, Wendell Baker
no flags Details
Actuality of calibre-0.7.34-1.fc13.i686 showing version name (122.91 KB, image/png)
2010-12-22 13:41 UTC, Wendell Baker
no flags Details
Actuality of the python exception from calibre-0.7.34-1.fc13.i686 (403.03 KB, image/png)
2010-12-22 13:45 UTC, Wendell Baker
no flags Details

Description Wendell Baker 2010-12-19 21:18:11 UTC
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: python /usr/bin/calibre-parallel
comment: Basically I was asking for the NYT news feed and it had downloaded some or all of it.
component: calibre
crash_function: IA__FcPatternDestroy
executable: /usr/bin/python
kernel: 2.6.34.7-56.fc13.i686.PAE
package: calibre-0.6.55-1.fc13
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1292791173
uid: 500

How to reproduce
-----
See https://bugzilla.redhat.com/show_bug.cgi?id=664317

The python code threw a (Python) exception and then python itself crashed.

Comment 1 Wendell Baker 2010-12-19 21:18:14 UTC
Created attachment 469636 [details]
File: backtrace

Comment 2 Kevin Fenzi 2010-12-19 23:11:27 UTC
Can you: 

Open up a terminal
su
cd /etc/yum.repos.d
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum update calibre

and see if you can duplicate this crash with the newest version?

Comment 3 Wendell Baker 2010-12-22 13:40:57 UTC
Created attachment 470205 [details]
Experience loading and running calibre-0.7.34-1.fc13.i686

see the two png actualities nearby

Comment 4 Wendell Baker 2010-12-22 13:41:49 UTC
Created attachment 470206 [details]
Actuality of calibre-0.7.34-1.fc13.i686 showing version name

Comment 5 Wendell Baker 2010-12-22 13:45:49 UTC
Created attachment 470207 [details]
Actuality of the python exception from calibre-0.7.34-1.fc13.i686

What's different in this case from the original report is that python didn't segfault.  We just see the python exception (the gui is still flying and responding).

N.B. what I did this time was
1. fire up gui
2. Newspapers
3. English (USA)
4. American Thinkers (the first or second non-paywalled pub)

Comment 6 Kevin Fenzi 2010-12-22 17:03:27 UTC
What does 'rpm -q python-cssutils' give? 

There is a newer version in the calibre repo. Please upgrade to that and repeat your tests.

Comment 7 Kevin Fenzi 2011-01-09 19:38:54 UTC
Any news here?

Comment 8 Bug Zapper 2011-05-30 12:35:51 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2011-06-27 12:58:51 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.